热搜
您的位置:首页 >> 法律

IE7的未验证的发行者MSXML50安全

2019年03月28日 栏目:法律

有个使用IE7的读者告诉我,当使用IE7浏览我博客的内容的时候,会在顶部提示这样的信息: 此站需要运行以下加载项: Microsoft Co

有个使用IE7的读者告诉我,当使用IE7浏览我博客的内容的时候,会在顶部提示这样的信息: 此站需要运行以下加载项: Microsoft Corporation(未验证的发行者) 中的 MSXML 5.0 .如果您信任该站和该加载项并允许运行该加载项,请单击这里

我曾经安装过IE7,感觉很不习惯,于是又换回IE6了,而我使用IE6和FireFox访问我的博客却从来没有这种现象,为什么使用IE7会提示这种信息呢?

经过我对博客代码的分析,我觉得可能是因为我安装的一个 博客投票插件 的原因,这个插件的JavaScript代码中,为了实现AJax效果,使用了XmlHttpRequest对象,

IE7的未验证的发行者MSXML50安全

因此,可能是因为IE7中本地执行XmlHttpRequest对象被MSXML5.0给拒绝执行了,因此本地安装了MSXML 5.0 (Office 2003之后的版本)后,就会在IE7中弹出 未验证的MSXML 5.0 。

这个不知道算不算IE7或者MSXML的BUG,反正这个错误信息我目前无法在我的电脑上重现,出现这种情况的用户,请尝试安装一下版本的MSXML,或者修改一下IE7的安全设置就不会再出现类似问题了。

Firefox强加了百度推广代码和google

Adsense里的搜索代码,白给我都不用。

要用就用IE或Opera,

上面是中文优化版

2008/1/13 23:38:05 支持(6)反对(6) 回复

IE7是我用过稳定的浏览器,会有这样的遥传其实是自身管理不到位,更新补丁没打全而已。我浏览月光一切正常。而且没有见过IE7引发的任何安全隐患,希望没有好好测试,只用了一两个的人不要枉加评论IE7!

2008/1/14 10:26:38 支持(7)反对(12) 回复

我觉得IE7.0很好用,比6.0强多了,很多功能对于操作和提高阅读效率与感受都非常好,其实大家都是不习惯的原因导致的(同样的原因还有

Vista),用几天习惯了再用6.0时就会觉得:疑,怎么在7.0里这么简单的操作还要这么麻烦?

2008/1/13 20:42:59 支持(13)反对(19) 回复

(*)

验证(*)